> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/pt-br/documentacao-da-api/visao-geral-das-solicitacoes-da-api-geopard/55.-enviar-arquivos-zip-acima-de-6-mb.md).

# 55. Enviar arquivos ZIP (acima de 6 MB)

Como limitação técnica do provedor de nuvem AWS, o upload de arquivos maiores que 6 MB precisa ser feito em 2 etapas:

#### **1. Solicitar o link pré-assinado para upload direto posterior.**  <a href="#step1" id="step1"></a>

Como entrada:&#x20;

* `fileType` - `rendimento` OU `solo` OU `aplicado` OU `adapt` OU `limite`,&#x20;
* `farmUuid` (opcional) - uuid da fazenda para importar o arquivo.&#x20;

Como saída:

* `uuid` - o uuid esperado após o upload e processamento,
* `farmUuid` - o mesmo que a entrada,
* `fileType` - o mesmo que a entrada,
* `s3Url` - a URL usada para enviar o arquivo,
* `s3Fields` - atributos para passar no formulário de upload do arquivo.

Os detalhes de como usar `s3Url` e `s3Fields` são descritos na segunda etapa.&#x20;

Os atributos são válidos por apenas 60 minutos para enviar o arquivo.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GeneratePresignedPostFileData {
  generatePresignedPostFileData(input:{
    fileType: applied
    farmUuid: "8bba5132-3a92-4ce1-8699-220e78ad68bd"
  } ) {
    uuid
    farmUuid
    fileType
    s3Url
    s3Fields
  }
}

```

{% endcode %}

#### **2. Enviar um arquivo local para s3Url com os atributos de formulário predefinidos de s3Fields.**  <a href="#step2" id="step2"></a>

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Notificações sobre o processamento serão entregues via o mecanismo de assinatura descrito em\
&#x20;[1. Assinatura: Obter eventos](/geopard-tutorials/pt-br/documentacao-da-api/visao-geral-das-solicitacoes-da-api-geopard/1.-assinatura-obter-eventos.md).

{% hint style="info" %}
O cabeçalho da resposta inclui um `Etag` cabeçalho, que aparece por exemplo como `Etag: "6fd3e76992738357ab50039f2c60024e"`. Esse valor é subsequentemente usado em GraphQL [query getPlatformContext](/geopard-tutorials/pt-br/documentacao-da-api/visao-geral-das-solicitacoes-da-api-geopard/83.-consulta-coletar-contexto-da-plataforma.md) para monitorar o progresso do processamento, bem como a associação com entidades "Field", "AsAppliedDataset", "YieldDataset" e "SoilDataset".
{% endhint %}

{% hint style="info" %}
Use `‘Accept-Encoding’:’gzip, deflate, br’`.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pt-br/documentacao-da-api/visao-geral-das-solicitacoes-da-api-geopard/55.-enviar-arquivos-zip-acima-de-6-mb.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
